@import url('https://fonts.googleapis.com/css?family=montserrat');
@import url('https://fonts.googleapis.com/css2?family=montserrat:wght@300;500;700&display=swap');
.navbar{
    backdrop-filter: blur(10px);
    font-family: 'Montserrat', sans-serif;
    -webkit-backdrop-filter: blur(10px);
    -moz-backdrop-filter: blur(10px);
}

.navbar-nav.navbar-center { 
    position: absolute;
    left: 50vw;
    transform: translatex(-50%);
    text-align: center;
    z-index: 10000;
}
.nav-link { 
    font-size: 20px;
    font-family: 'Montserrat', sans-serif;
    white-space: nowrap;
} 

@media(min-width: 2000px){
    .nav-link {
        font-size: 1.8rem;
        margin-inline: 1rem;
    }
}
.seethru{
    background-color: rgba(0,0,0,0.85);
    height: 3rem;
}
.hamburger {
    display: none;
}
#menu{
    position: absolute !important;
    right: 20px !important;
    margin-top: 20px !important;
    display: none;
}
button{
    background-color: rgba(0,0,0,0);
    border: none;
}
.sidebar{  
    position: fixed;
    top: 3.9rem;
    right: 0;
    height: 100lvh;
    box-shadow: -10px 0 10px rgba(0,0,0,0.1);
    z-index: 100000;
    width: 300px;
    background-color: rgba(0,0,0,0.85);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px) !important;
    
    font-family: 'Montserrat', sans-serif !important;
    color:white;
    
    opacity: 0;
    pointer-events: none;

    transform: translateY(0);
    transition: opacity 0.3s ease, transform 0.3s ease;
    
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding-top: 15px;
 
}

.sidebar.hidden{
    
}
.sidebar.visible1{
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
}

.sidebar ul{
    list-style: none;
    position: relative;
    right: 0;
    padding-left: 55%;
    margin-top: 50px;
    text-align: right;
    padding-right: max(1rem,10%);

    opacity: 0;
    transform: translateX(-8px);
    
    transition: 0.3s ease-out;
    transition-delay: 0.15s;
}

.sidebar ul.active1{
    opacity: 1;
    transform: translateX(0);
    transform: translateY(0);
}

.sidebar li{
    width: 100%;
    height: 3rem;
}
.sidebar li:active{
    text-shadow:1px 1px 10px #fff, 1px 1px 10px #ccc;
}
@media (min-width:1051px){
    .sidebar{
        display: none;
    }
}
@media (max-width:1050px){
    .seethru{
        height: 4rem
    }
    .navbar-nav{
        display: none;
    }
    #menu{
        display: block;
    }
    #hamburgermenu{
        padding-bottom: 20px;
    }
    .navbar-brand{
        margin-top:-20px;
    }
    .sidebar ul{
        padding-left: 40%;
    }
    
}

@media (max-width:500px){
    #menu{
        display: block;
    }
    .sidebar{
        width: 100%;
        height: 110svh;
    }   
    .navbar-brand{
        margin-top:-20px;
    }
    .sidebar ul{
        padding-left: 55%;
    }

}